package endpoint.ejb;

import java.security.Principal;
import javax.jws.WebService;
import javax.ejb.Stateless;
import javax.ejb.SessionContext;
import javax.annotation.Resource;

@WebService(endpointInterface="endpoint.ejb.Hello", targetNamespace="http://endpoint/ejb")
@Stateless
public class HelloEJB {

    @Resource private SessionContext ctx;

    public void sayHello(String who) {
	System.out.println("**** sayHello("+ who+")");
	Principal p = ctx.getCallerPrincipal();
	String principal = (p == null)? "NULL": p.toString();
	System.out.println("****EJB: principal = " + principal);
    }
}